import request from '@/utils/request'

export function getStaffPage(data) {
  return request({
    url: '/base-employee/page',
    method: 'get',
    params: data
  })
}

export function getStaffList(data) {
  return request({
    url: '/base-employee/list',
    method: 'post',
    data: data
  })
}

export function getStaffById(data) {
  return request({
    url: '/base-employee/listById',
    method: 'post',
    data: data
  })
}

export function addStaff(data) {
  return request({
    url: '/base-employee/add',
    method: 'post',
    data: data
  })
}

export function editStaff(data) {
  return request({
    url: '/base-employee/edit',
    method: 'post',
    data: data
  })
}

export function delStaff(data) {
  return request({
    url: '/base-employee/delete',
    method: 'post',
    data: data
  })
}

